class TestWidgedDataClass():
    def __init__(self) -> None:
        self.list_of_floats = []
        self.list_of_strings = []
        self.boolean_response = False
        self.string_response = ""

    def loadDataBasedOnStatus(self, status):
        if status == True:
            self.loadSuccesfullResponseWithNoData()
        elif status == False:
            self.loadFailResponseWithNoData()

    def loadVirtualDataToItself(self):
        self.boolean_response = True
        self.list_of_floats = [1,2,3,4,5,6,7,8,9,10]
        self.list_of_strings = ["1","2","3","4","5","6","7","8","9","10"]
        self.string_response = "VIRTUAL"

    def loadSuccesfullResponseWithNoData(self):
        self.boolean_response = True
        self.list_of_floats = []
        self.list_of_strings = []
        self.string_response = "PASS"

    def loadFailResponseWithNoData(self):
        self.boolean_response = False
        self.list_of_floats = []
        self.list_of_strings = []
        self.string_response = "FAIL"

    def loadBusyResponseWithNoData(self):
        self.boolean_response = False
        self.list_of_floats = []
        self.list_of_strings = []
        self.string_response = "BUSY"

    